Package org.gradle.api.attributes

# Interface HasAttributes

All Known Subinterfaces:
  `ArtifactTypeDefinition`, `ArtifactView`, `ArtifactView.ViewConfiguration`, `AttributeContainer`, `ComponentMetadata`, `ComponentMetadataDetails`, `Configuration`, `ConfigurationPublications`, `ConfigurationVariant`, `ConsumableConfiguration`, `DependencyConstraint`, `DependencyScopeConfiguration`, `ExternalDependency`, `ExternalModuleDependency`, `HasConfigurableAttributes<SELF>`, `LegacyConfiguration`, `MinimalExternalModuleDependency`, `ModuleDependency`, `ProjectDependency`, `ResolvableConfiguration`, `ResolvableDependencies`, `SoftwareComponentVariant`, `VariantMetadata`

public interface HasAttributes
Represents something that carries attributes by utilizing an `AttributeContainer`

Since:
  3.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AttributeContainer`
  `getAttributes()`
  Returns the attributes

- ## Method Details

  - ### getAttributes

    AttributeContainer getAttributes()
    Returns the attributes